UT99 e Gdk-WARNING **: locale not supported by C library

Discussions about UT99
buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Fri Apr 28, 2017 9:59 am

Hi there, I am starting to install UT99 on my distro Linux Debian_AMD64 and I have followed this guide and this one.
But after installing the program by running "unreal.tournament_436-multilanguage.run" (spalsh windows ask me to install) I have got this message:

Code: Select all

Uncompressing Unreal Tournament 436-multilanguage Installer...................................................................................

Gtk-WARNING **: Failed to load module "libgail.so": libgail.so: cannot open shared object file: No such file or directory

Gtk-WARNING **: Failed to load module "libatk-bridge.so": libatk-bridge.so: cannot open shared object file: No such file or directory

Gdk-WARNING **: locale not supported by C library
loki_setup: Can't create /home/tito/ut: File exists
But looking and "lacate" these lib I have:

Code: Select all

~$ locate libatk-bridge.so libgail.so
/usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libatk-bridge.so
/usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libgail.so
At this point I stopped becasue I dont understand why this is not charged.

Any advice?

Thanks

Aldebaran
Masterful
Posts: 672
Joined: Thu Jan 28, 2016 7:30 pm

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by Aldebaran » Fri Apr 28, 2017 11:13 am

The guide you linked said:
If you get an error when you run the .run installer that looks like this:
error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory
You will need to install the old libgtk along with its dependencies.
You have GTK 2.0 installed? Perhaps you need the older v1.2 too. The other guide mentions these dependencies:
libglib1.2ldbl_1.2.10-19_amd64.deb
libgtk1.2_1.2.10-18.1_amd64.deb

You can also try the installation under Wine, that should work in most cases fine.

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Fri Apr 28, 2017 2:59 pm

Aldebaran wrote:The guide you linked said:
If you get an error when you run the .run installer that looks like this:
error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory
You will need to install the old libgtk along with its dependencies.
You have GTK 2.0 installed? Perhaps you need the older v1.2 too. The other guide mentions these dependencies:
libglib1.2ldbl_1.2.10-19_amd64.deb
libgtk1.2_1.2.10-18.1_amd64.deb

You can also try the installation under Wine, that should work in most cases fine.
Thanks for your quick replay, but I think you are right.
Then I try to update to 32 bit by:

Code: Select all

dpkg --add-architecture i386
At this point I am crazy, but I persevere to find out

then

Code: Select all

dpkg --print-foreign-architectures
and response was ok

Thus I try to install :

Code: Select all

sudo dpkg -i libgtk1.2-common_1.2.10-18.1build2_all.deb libglib1.2ldbl_1.2.10-19build1_i386.deb libgtk1.2_1.2.10-18.1build2_i386.deb
But I get these errors:

Code: Select all

dpkg: problemi con le dipendenze impediscono la configurazione di libglib1.2ldbl:i386:
libglib1.2ldbl:i386 dipende da libc6 (>= 2.6.1-1).

dpkg: errore nell'elaborare il pacchetto libglib1.2ldbl:i386 (--install):
 problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di libgtk1.2:i386:
 libgtk1.2:i386 dipende da libc6 (>= 2.7-1).
 libgtk1.2:i386 dipende da libglib1.2ldbl (>= 1.2.10-18); comunque:
  Il pacchetto libglib1.2ldbl:i386 non è ancora configurato.
 libgtk1.2:i386 dipende da libgtk1.2-common (>= 1.2.10-18.1build2); comunque:
 libgtk1.2:i386 dipende da libx11-6; comunque:
 libgtk1.2:i386 dipende da libxext6; comunque:
 libgtk1.2:i386 dipende da libxi6; comunque:

dpkg: errore nell'elaborare il pacchetto libgtk1.2:i386 (--install):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 libglib1.2ldbl:i386
 libgtk1.2:i386
Verifying I see that my libc6 (2-24.10), libglib1.2ldbl (1.2.10-19build1), libgtk1.2-common (1.2.10-18.1build2) are all updated.

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Tue May 02, 2017 4:21 pm

I have found this solution, but it seems that doesn't work for, I have every time same error:

Code: Select all

/root/.setup3007: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory


I can't understand how to solve this problem.

I need an help

thanks

User avatar
Barbie
Godlike
Posts: 1946
Joined: Fri Sep 25, 2015 9:01 pm
Location: moved without proper hashing

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by Barbie » Tue May 02, 2017 10:16 pm

buby wrote:

Code: Select all

/root/.setup3007: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory


I can't understand how to solve this problem.

I need an help
For the above error message I'd first verify that the file "libgtk-1.2.so.0" exists in your installation at all. Therefore issue the following command in a terminal or switch to console n by STRG+ALT+Fn:

Code: Select all

locate libgtk-1.2.so.0 || echo not found
If the command issues not found, you have to install "libgtk-1.2" first. (Maybe try it with "libgtk-1" instead of "libgtk-1.2.so.0" also.)
If the command displays one ore more locations, make sure that at least one of the directories is included in LD_LIBRARY_PATH. Just report your results to proceed to next step.

Hint: If you want console messages not localized (not everyone speaks Italian here), add "LANG=C " in front of the command, for example

Code: Select all

LANG=C sudo dpkg -i whatever
"Multiple exclamation marks," he went on, shaking his head, "are a sure sign of a diseased mind." --Terry Pratchett

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Tue May 02, 2017 11:35 pm

Thanks for your answer.
I have found:

Code: Select all

locate libgtk-1.2.so.0 || echo not found
/home/tito/Scaricati/tmp/usr/lib/libgtk-1.2.so.0 
/home/tito/Scaricati/tmp/usr/lib/libgtk-1.2.so.0.9.1
But a question: how can I include in LD_LIBRARY_PATH the dicrectory? Maybe this:

Code: Select all

export LD_LIBRARY_PATH=/home/tito/Scaricati/tmp/usr/lib/:$LD_LIBRARY_PATH

User avatar
Barbie
Godlike
Posts: 1946
Joined: Fri Sep 25, 2015 9:01 pm
Location: moved without proper hashing

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by Barbie » Tue May 02, 2017 11:59 pm

Anything named "tmp" (=temporary) is not the proper location for files that are used regularly. A better place would be /usr/local/lib/ (if maintained/compiled by yourself) or /usr/lib/ (if maintained by distribution updater). Do you remember how the files have come to that place?

Anyway, for a test I suggest leave it as it is and do as you wrote with the export command. What does the Setup program say then? If it still fails with the same error, it is worth a try copying both files into the working directory of the setup.
"Multiple exclamation marks," he went on, shaking his head, "are a sure sign of a diseased mind." --Terry Pratchett

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Wed May 03, 2017 10:35 pm

Looking at your answer I thought if is necessary to copy library in the right place where there should be (usr/lib) and then give then command:

Code: Select all

ldconfig -n  /usr/lib
And then give the comand:

Code: Select all

LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH my_program
What do you think?

Thank

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Thu May 04, 2017 4:02 pm

Well, after cursing, I have got this message:

Code: Select all

Verifying archive integrity... All good.
Uncompressing Unreal Tournament 436-multilanguage Installer...................................................................................
/root/.setup4184: error while loading shared libraries: libgtk-1.2.so.0: wrong ELF class: ELFCLASS32


I have search:

Code: Select all

locate libgtk-1.2.so.0 || echo not found
/home/tito/Scaricati/tmp/usr/lib/libgtk-1.2.so.0
/home/tito/Scaricati/tmp/usr/lib/libgtk-1.2.so.0.9.1
/usr/lib/libgtk-1.2.so.0
/usr/lib/libgtk-1.2.so.0
/usr/lib/libgtk-1.2.so.0.9.1
But looking inside:

/usr/lib/libgtk-1.2.so.0---> This is a link to "libgtk-1.2.so.0.9.1" and this one is a shred library
/usr/lib/libgtk-1.2.so.0---> This is an empty lib

Now I am crazy upseted :ironic:

User avatar
Barbie
Godlike
Posts: 1946
Joined: Fri Sep 25, 2015 9:01 pm
Location: moved without proper hashing

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by Barbie » Thu May 04, 2017 6:13 pm

Could you post the result of the following command?

Code: Select all

ls -l /usr/lib/libgtk-1.2*
"Multiple exclamation marks," he went on, shaking his head, "are a sure sign of a diseased mind." --Terry Pratchett

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Fri May 05, 2017 8:37 am

As written above:

Code: Select all

sudo ls -l /usr/lib/libgtk-1.2*
lrwxrwxrwx 1 root root      19 mag  3 00:14 /usr/lib/libgtk-1.2.so.0 -> libgtk-1.2.so.0.9.1
-rw-r--r-- 1 root root       0 mag  2 11:31 /usr/lib/libgtk-1.2.so.0 
-rw-r--r-- 1 root root 1333116 gen  5  2008 /usr/lib/libgtk-1.2.so.0.9.1

User avatar
Barbie
Godlike
Posts: 1946
Joined: Fri Sep 25, 2015 9:01 pm
Location: moved without proper hashing

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by Barbie » Fri May 05, 2017 4:25 pm

That file with size=0 pretends to have the name "libgtk-1.2.so.0", but I doubt that and guess it is "libgtk-1.2.so.0 " instead or similar (notice the trailing space). You can verify that with the command

Code: Select all

LC_ALL=C ls -lb1 /usr/lib/libgtk-1.2*
If there is an escape ("\") somewhere in the name, then my guess was right and you should remove that useless empty file.
(Hint: "LC_ALL=C" overrides all the other localisation settings for this command. So the output is English and not Italian what makes it easier for us to understand.)

If the above is correct, the error message wrong ELF class: ELFCLASS32 indicates that you are trying to run a 32 bit program in a 64 bit environment. So you have to install support for 32 bit programs first. I'm not familiar with Debian, so I cannot advise you with this. If you don't know how to do that, maybe ask in a Debian related forum for this.
"Multiple exclamation marks," he went on, shaking his head, "are a sure sign of a diseased mind." --Terry Pratchett

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Sat May 06, 2017 7:56 am

Well, this is:

Code: Select all

$ LC_ALL=C ls -lb1 /usr/lib/libgtk-1.2*
lrwxrwxrwx 1 root root      19 May  3 00:14 /usr/lib/libgtk-1.2.so.0 -> libgtk-1.2.so.0.9.1
-rw-r--r-- 1 root root       0 May  2 11:31 /usr/lib/libgtk-1.2.so.0\ 
-rw-r--r-- 1 root root 1333116 Jan  5  2008 /usr/lib/libgtk-1.2.so.0.9.1
Thus I have to remove the third line, right?
About the architecture of my system I have add this command:

Code: Select all

dpkg --add-architecture i386
and the response

Code: Select all

dpkg --print-foreign-architectures
was "i386".

User avatar
Barbie
Godlike
Posts: 1946
Joined: Fri Sep 25, 2015 9:01 pm
Location: moved without proper hashing

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by Barbie » Sat May 06, 2017 3:47 pm

buby wrote:Thus I have to remove the third line, right?
Yes, remove the file with size=0. It's useless.
buby wrote:the response

Code: Select all

dpkg --print-foreign-architectures
was "i386".
So it seems you have 32 bit support installed. Let's have a look then at the dependencies of libgtk-1.2. Can you post the output of the following commands?

Code: Select all

LC_ALL=C ldd -v /usr/lib/libgtk-1.2.so.0.9.1
and

Code: Select all

LC_ALL=C ldd -v /path/to/the/UT/installer
"Multiple exclamation marks," he went on, shaking his head, "are a sure sign of a diseased mind." --Terry Pratchett

buby
Novice
Posts: 28
Joined: Thu Feb 23, 2017 1:07 am

Re: UT99 e Gdk-WARNING **: locale not supported by C library

Post by buby » Sat May 06, 2017 10:56 pm

Well, first of all let me say that I appreciate your interest on my problem and I hope that can be useful for other with other people.
Here the outcomes:

Code: Select all

$ LC_ALL=C ldd -v /usr/lib/libgtk-1.2.so.0.9.1
	linux-gate.so.1 (0xf7752000)
	libgmodule-1.2.so.0 => /usr/lib/libgmodule-1.2.so.0 (0xf75ea000)
	libglib-1.2.so.0 => /usr/lib/libglib-1.2.so.0 (0xf75c4000)
	libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf75bf000)
	libXi.so.6 => not found
	libXext.so.6 => not found
	libX11.so.6 => not found
	libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf756a000)
	libgdk-1.2.so.0 => /usr/lib/libgdk-1.2.so.0 (0xf7531000)
	libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf7378000)
	/lib/ld-linux.so.2 (0x56601000)
	libXi.so.6 => not found
	libXext.so.6 => not found
	libX11.so.6 => not found

	Version information:
	/usr/lib/libgtk-1.2.so.0.9.1:
		libm.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libm.so.6
		libc.so.6 (GLIBC_2.1.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.2.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.4) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.1) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.2) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libc.so.6
	/usr/lib/libgmodule-1.2.so.0:
		libdl.so.2 (GLIBC_2.1) => /lib/i386-linux-gnu/libdl.so.2
		libdl.so.2 (GLIBC_2.0) => /lib/i386-linux-gnu/libdl.so.2
		libc.so.6 (GLIBC_2.1.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libc.so.6
	/usr/lib/libglib-1.2.so.0:
		libc.so.6 (GLIBC_2.1.2) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.4) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.1.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libc.so.6
	/lib/i386-linux-gnu/libdl.so.2:
		ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2
		libc.so.6 (GLIBC_PRIVATE) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.1.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.1) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libc.so.6
	/lib/i386-linux-gnu/libm.so.6:
		ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2
		libc.so.6 (GLIBC_2.1.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_PRIVATE) => /lib/i386-linux-gnu/libc.so.6
	/usr/lib/libgdk-1.2.so.0:
		libc.so.6 (GLIBC_2.1.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.4) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.1) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.2) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.3) => /lib/i386-linux-gnu/libc.so.6
		libc.so.6 (GLIBC_2.0) => /lib/i386-linux-gnu/libc.so.6
	/lib/i386-linux-gnu/libc.so.6:
		ld-linux.so.2 (GLIBC_2.3) => /lib/ld-linux.so.2
		ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2
		ld-linux.so.2 (GLIBC_2.1) => /lib/ld-linux.so.2
Then

Code: Select all

~$ LC_ALL=C ldd -v /home/tito/UT99/unreal.tournament_436-multilanguage.run
	not a dynamic executable

Post Reply